Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleColor Class Reference

Class to handle a flexible Color type reference method there is more than one. More...

## Public Member Functions
| FlexibleColor ()
| FlexibleColor default constructor More...
| FlexibleColor (Color value)
| FlexibleColor constructor More...
| FlexibleColor (ColorParameterReference parameter)
| FlexibleColor constructor More...
| FlexibleColor (InputSlotColor slot)
| FlexibleColor constructor More...

## Static Public Member Functions
static | operator Color (FlexibleColor flexible)
| Cast FlexibleColor to Color. More...
static | operator FlexibleColor (Color value)
| Cast Color to FlexibleColor. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Color | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Color type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleColor | ( |  | ) |

FlexibleColor default constructor

FlexibleColor | ( | Color | value | ) |

FlexibleColor constructor

Parameters

  value | Value

FlexibleColor | ( | ColorParameterReference | parameter | ) |

FlexibleColor constructor

Parameters

  parameter | Parameter

FlexibleColor | ( | InputSlotColor | slot | ) |

FlexibleColor constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator Color | ( | FlexibleColor | flexible | ) |
| explicit static

Cast FlexibleColor to Color.

Parameters

  flexible | FlexibleColor

static operator FlexibleColor | ( | Color | value | ) |
| explicit static

Cast Color to FlexibleColor.

Parameters

  value | Color

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Color value
| get

It returns a value